Hash::Case::Lower(3)

NAME
Hash::Case::Lower - hash with enforced lower cased keys

INHERITANCE
 Hash::Case::Lower
   is a Hash::Case
   is a Tie::StdHash

SYNOPSIS
  use Hash::Case::Lower;
  tie my(%lchash), 'Hash::Case::Lower';
  $lchash{StraNGeKeY} = 3;
  print keys %lchash;  # strangekey

DESCRIPTION
Hash::Case::Lower extends Hash::Case, which lets you play various trics with hash keys. In this implementation, the fake hash is case insensitive and the keys stored in lower-case.

Extends "DESCRIPTION" in Hash::Case.

METHODS
Extends "METHODS" in Hash::Case.

  Constructors
Extends "Constructors" in Hash::Case.

tie %hash, 'Hash::Case::Lower', [$values,] %options
    Define %hash to have only lower-cased keys. The hash is initialized with the $values, specified as ARRAY (with key-value PAIRS) or HASH. Currently, there are no %options defined. Improves base, see "Constructors" in Hash::Case

  Hidden object access
Extends "Hidden object access" in Hash::Case.

$obj->addHashData(\%data)
    Inherited, see "Hidden object access" in Hash::Case

$obj->addPairs(@pairs)
    Inherited, see "Hidden object access" in Hash::Case

$obj->setHash(\%data)
    Inherited, see "Hidden object access" in Hash::Case

SEE ALSO
This module is part of Hash-Case version 1.07, built on January 26, 2026. Website: http://perl.overmeer.net/CPAN/

LICENSE
For contributors see file ChangeLog.

This software is copyright (c) 2002-2026 by Mark Overmeer.

This is free software; you can redistribute it and/or modify it under the same terms as the Perl 5 programming language system itself.